# Interface methods for submodule: VnlRealToHalfHermitianForwardFFTImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import RealToHalfHermitianForwardFFTImageFilterProxy as _RealToHalfHermitianForwardFFTImageFilterProxy


# Interface methods for class: VnlRealToHalfHermitianForwardFFTImageFilter
class VnlRealToHalfHermitianForwardFFTImageFilterProxy(_RealToHalfHermitianForwardFFTImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetSizeGreatestPrimeFactor(self) -> int:
		""""""
		...

